﻿BEGIN
	DECLARE
		licCount NUMBER;
		backupTableCount NUMBER;
	BEGIN
		SELECT COUNT(*) INTO licCount FROM "SysLic";
		IF (licCount = 0) THEN
			RETURN;
		END IF;

		SELECT COUNT(*) INTO backupTableCount FROM USER_TABLES WHERE TABLE_NAME = 'TimelinePageSetting_backup';
		IF (backupTableCount > 0) THEN
			EXECUTE IMMEDIATE 'DROP TABLE "TimelinePageSetting_backup"';
		END IF;

		EXECUTE IMMEDIATE 'CREATE TABLE "TimelinePageSetting_backup" AS SELECT * FROM "TimelinePageSetting"';
	END;
END;
