﻿DECLARE
similarMobilePhoneRulesCount INT;
similarPhoneTypeRulesCount INT;
BEGIN
  UPDATE "DuplicatesRule" SET "RuleBody" = N'{"filters": [{"schemaName": "Lead", "columnName": "Email"}]}' WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000005}';
  UPDATE "DuplicatesRule" SET "RuleBody" = N'{"filters": [{"schemaName": "Lead", "columnName": "BusinesPhone"}]}' WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000006}';
  UPDATE "DuplicatesRule" SET "RuleBody" = N'{"filters": [{"schemaName": "Lead", "columnName": "Account"},{"schemaName": "Lead", "columnName": "Country"}]}' WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000007}';
  UPDATE "DuplicatesRule" SET "RuleBody" = N'{"filters": [{"schemaName": "Lead", "columnName": "Email"},{"schemaName": "Lead", "columnName": "LeadType"}]}' WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000008}';
  UPDATE "DuplicatesRule" SET "RuleBody" = N'{"filters": [{"schemaName": "Lead", "columnName": "BusinesPhone"},{"schemaName": "Lead", "columnName": "LeadType"}]}' WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000009}';
  UPDATE "DuplicatesRule" SET "RuleBody" = N'{"filters": [{"schemaName": "Lead", "columnName": "Contact"},{"schemaName": "Lead", "columnName": "Country"},{"schemaName": "Lead", "columnName": "LeadType"}]}' WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000010}';
  SELECT COUNT(1) INTO similarMobilePhoneRulesCount FROM "DuplicatesRule" WHERE "Name" = 'Similar leads. MobilePhone';
  IF similarMobilePhoneRulesCount = 0 THEN
    INSERT INTO "DuplicatesRule" ("Id", "CreatedOn", "CreatedById", "ModifiedOn", "ModifiedById", "ProcessListeners", "Name", "IsActive", "ObjectId", "RuleBody")
    SELECT '{D3607FD4-8303-40AE-B66E-100000000005}', TO_DATE('2017-06-01 07:21:24','yyyy/mm/dd hh24:mi:ss'), '{410006E1-CA4E-4502-A9EC-E54D922D2C00}', TO_DATE('2017-06-01 07:21:24','yyyy/mm/dd hh24:mi:ss'), 
    '{410006E1-CA4E-4502-A9EC-E54D922D2C00}', 0, 'Similar leads. MobilePhone', "IsActive", "ObjectId",
    N'{"filters": [{"schemaName": "Lead", "columnName": "MobilePhone"}]}'
    FROM "DuplicatesRule"
    WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000006}';
  END IF;
  SELECT COUNT(1) INTO similarPhoneTypeRulesCount FROM "DuplicatesRule" WHERE "Name" = 'Similar leads. MobilePhone, Customer need';
  IF similaRPhoneTypeRulesCount = 0 THEN
    INSERT INTO "DuplicatesRule" ("Id", "CreatedOn", "CreatedById", "ModifiedOn", "ModifiedById", "ProcessListeners", "Name", "IsActive", "ObjectId", "RuleBody")
    SELECT '{D3607FD4-8303-40AE-B66E-200000000005}', TO_DATE('2017-06-01 07:21:24','yyyy/mm/dd hh24:mi:ss'), '410006E1-CA4E-4502-A9EC-E54D922D2C00', TO_DATE('2017-06-01 07:21:24','yyyy/mm/dd hh24:mi:ss'), 
    '410006E1-CA4E-4502-A9EC-E54D922D2C00', 0, 'Similar leads. MobilePhone, Customer need', "IsActive", "ObjectId",
    N'{"filters": [{"schemaName": "Lead", "columnName": "LeadType"},{"schemaName": "Lead", "columnName": "MobilePhone"}]}'
    FROM "DuplicatesRule"
    WHERE "Id" = '{D3607FD4-8303-40AE-B66E-000000000009}';
  END IF; 
END;